package com.backendsys.modules.system.service;

import com.backendsys.modules.system.entity.SysUserRole;
import com.backendsys.modules.system.entity.SysUserRoleMenu;

import java.util.List;
import java.util.Map;

public interface SysUserRoleMenuService {

    // 获取系统用户角色菜单列表
    List<Map<String, Object>> selectUserRoleMenuList(List<String> permission_ids, Integer type);

    // 获取系统用户角色菜单详情
    SysUserRoleMenu selectUserRoleMenuDetail(SysUserRoleMenu sysUserRoleMenu);

    Map<String, Object> insertUserRoleMenu(SysUserRoleMenu sysUserRoleMenu);
    Map<String, Object> updateUserRoleMenu(SysUserRoleMenu sysUserRoleMenu);
    Map<String, Object> deleteUserRoleMenu(SysUserRoleMenu sysUserRoleMenu);

}
